<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_F8F8F8"
    tools:context=".ui.SettingActivity">
    
    <View
        android:id="@+id/v_top"
        android:layout_width="match_parent"
        android:layout_height="87dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:background="@color/colorPrimary"/>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll_back"
        android:layout_width="200dp"
        android:layout_height="87dp"
        android:orientation="horizontal"
        android:gravity="center_vertical"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/tvBack"
            app:layout_constraintTop_toTopOf="@+id/tvBack"
            app:layout_constraintBottom_toBottomOf="@+id/tvBack"
            android:layout_width="24dp"
            android:layout_height="48dp"
            android:layout_marginLeft="32dp"
            android:padding="6dp"
            android:src="@mipmap/ic_left_arrow"
            android:contentDescription="@string/back" />

        <androidx.appcompat.widget.AppCompatTextView
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginLeft="16dp"
            android:textColor="@color/white"
            android:text="@string/back"
            android:textSize="24sp"/>

    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="195dp"
        android:layout_height="20dp"
        android:layout_marginEnd="32dp"
        android:layout_marginRight="32dp"
        android:src="@mipmap/ic_logo_white"
        app:layout_constraintBottom_toBottomOf="@+id/ll_back"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/ll_back" />

    <View
        android:id="@+id/v_origin_password"
        android:layout_width="match_parent"
        android:layout_height="103dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_top"
        android:background="@color/white"/>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_origin_password_text"
        android:layout_width="200dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="32dp"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="32dp"
        android:textSize="28sp"
        android:gravity="left"
        android:textColor="@color/color_333333"
        app:layout_constraintStart_toStartOf="@id/v_origin_password"
        app:layout_constraintTop_toTopOf="@id/v_origin_password"
        app:layout_constraintBottom_toBottomOf="@id/v_origin_password"
        android:text="@string/app_setting_origin_password"/>

    <androidx.appcompat.widget.AppCompatEditText
        android:id="@+id/et_origin_password"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@android:color/white"
        android:singleLine="true"
        android:inputType="numberPassword"
        android:layout_marginEnd="32dp"
        android:gravity="center_vertical|left"
        android:textSize="28sp"
        android:textColor="@color/color_333333"
        android:textColorHint="@color/color_CCCCCC"
        android:hint="请输入原始密码"
        android:maxLength="6"
        app:layout_constraintLeft_toRightOf="@+id/tv_origin_password_text"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/v_origin_password"
        app:layout_constraintBottom_toBottomOf="@id/v_origin_password" />

    <View
        android:layout_width="match_parent"
        android:layout_height="1px"
        android:background="@color/color_E9E9E9"
        android:layout_marginStart="25dp"
        android:layout_marginRight="25dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintBottom_toBottomOf="@id/v_origin_password"/>

    <View
        android:id="@+id/v_new_password"
        android:layout_width="match_parent"
        android:layout_height="103dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_origin_password"
        android:background="@color/white"/>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_new_password_text"
        android:layout_width="200dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:text="@string/app_setting_new_password"
        android:textColor="@color/color_333333"
        android:textSize="28sp"
        android:gravity="left"
        app:layout_constraintBottom_toBottomOf="@id/v_new_password"
        app:layout_constraintStart_toStartOf="@id/v_new_password"
        app:layout_constraintTop_toTopOf="@id/v_new_password" />

    <androidx.appcompat.widget.AppCompatEditText
        android:id="@+id/et_new_password"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@android:color/white"
        android:singleLine="true"
        android:inputType="numberPassword"
        android:layout_marginEnd="32dp"
        android:gravity="center_vertical|left"
        android:textSize="28sp"
        android:textColor="@color/color_333333"
        android:textColorHint="@color/color_CCCCCC"
        android:hint="请输入新密码"
        android:maxLength="6"
        app:layout_constraintLeft_toRightOf="@+id/tv_new_password_text"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/v_new_password"
        app:layout_constraintBottom_toBottomOf="@id/v_new_password" />

    <View
        android:layout_width="match_parent"
        android:layout_height="1px"
        android:background="@color/color_E9E9E9"
        android:layout_marginStart="25dp"
        android:layout_marginRight="25dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintBottom_toBottomOf="@id/v_new_password"/>

    <View
        android:id="@+id/v_new_password_confirm"
        android:layout_width="match_parent"
        android:layout_height="103dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_new_password"
        android:background="@color/white"/>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_new_password_confirm_text"
        android:layout_width="200dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="32dp"
        android:layout_marginStart="32dp"
        android:textSize="28sp"
        android:gravity="left"
        android:textColor="@color/color_333333"
        app:layout_constraintStart_toStartOf="@id/v_new_password_confirm"
        app:layout_constraintTop_toTopOf="@id/v_new_password_confirm"
        app:layout_constraintBottom_toBottomOf="@id/v_new_password_confirm"
        android:text="@string/app_setting_confirm_password"/>

    <androidx.appcompat.widget.AppCompatEditText
        android:id="@+id/et_new_password_confirm"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@android:color/white"
        android:singleLine="true"
        android:inputType="numberPassword"
        android:layout_marginEnd="32dp"
        android:gravity="center_vertical|left"
        android:textSize="28sp"
        android:textColor="@color/color_333333"
        android:textColorHint="@color/color_CCCCCC"
        android:hint="请再次输入密码"
        android:maxLength="6"
        app:layout_constraintLeft_toRightOf="@+id/tv_new_password_confirm_text"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/v_new_password_confirm"
        app:layout_constraintBottom_toBottomOf="@id/v_new_password_confirm" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_confirm"
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="32dp"
        android:textSize="32sp"
        android:gravity="center"
        android:textColor="@color/white"
        android:layout_marginBottom="65dp"
        android:background="@drawable/shape_111235_radius8"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:text="@string/app_confirm_update"/>

</androidx.constraintlayout.widget.ConstraintLayout>